Bug 192902 - KFind crashes when using search index
KFind crashes when using search index
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 18:35 EDT by Donald Straney
Modified: 2008-03-18 05:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 05:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 132632 None None None Never

  None (edit)
Description Donald Straney 2006-05-23 18:35:18 EDT
When I open KFind (in KDE 3.5) and search in 'file://' for any file name (with
no additional options, such as file contents) with 'use search index' enabled,
then press the 'Stop' button after a short time, it closes and the KDE segfault
dialog appears.  I have been able to consistently reproduce this problem, with
the exact same results each time.  Is there any more information that's needed?
 Here's the stack trace:

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208481600 (LWP 2486)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x0806ab89 in KQuery::staticMetaObject ()
#7  0x0806ae03 in KQuery::staticMetaObject ()
#8  0x03d1c2aa in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x0093586e in KProcess::processExited () from /usr/lib/libkdecore.so.4
#10 0x00935a2f in KProcess::processHasExited () from /usr/lib/libkdecore.so.4
#11 0x0093175f in KProcessController::slotDoHousekeeping ()
   from /usr/lib/libkdecore.so.4
#12 0x00931882 in KProcessController::qt_invoke ()
   from /usr/lib/libkdecore.so.4
#13 0x03d1c2aa in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x03d1cdb2 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x040a64e0 in QSocketNotifier::activated ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x03d3ca60 in QSocketNotifier::event ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x03cb3a1b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x03cb5059 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x009ffac3 in KApplication::notify () from /usr/lib/libkdecore.so.4
#20 0x03ca73a4 in QEventLoop::activateSocketNotifiers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x03c5c0f1 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x03ccd135 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x03cb35cf in QApplication::enter_loop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x03ec3345 in QDialog::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x0805f199 in KAboutApplication::~KAboutApplication$delete ()
#26 0x001167e4 in __libc_start_main () from /lib/libc.so.6
#27 0x08058741 in ?? ()
Comment 1 Ngo Than 2006-05-24 04:03:57 EDT
could you please give the version of kdelibs/kdebase/qt installed on your system?
Thanks
Comment 2 Donald Straney 2006-05-24 16:12:35 EDT
Qt 3.3.5-13
kdelibs-3.5.1-2.3
kdebase-3.5.1-5
Comment 3 lexual 2007-04-10 19:44:18 EDT
Can confirm bug with FC6.
<I don't have permission to change version field, could someone please update 
it for me>
Comment 4 lexual 2008-03-18 05:45:41 EDT
Bug has been reported in KDE's bugzilla.

Note You need to log in before you can comment on or make changes to this bug.